Welcome to LaunchVerseQuickstartDashboard OverviewImporting Projects
LaunchVerse ForgeScale-to-ZeroEnvironment Variable VersioningRollbacks & PromotionsPreview Environments
Helix CopilotEphemeral SandboxesAI Log Explainer
The LaunchVerse EdgeCustom Domains & TLSDomain PurchasingTwo-Factor Authentication (TOTP)IP Allowlists
Managed DatabasesDatabase Backups & RestoresLog DrainsObservability
Project GroupsRole-Based Access Control (RBAC)
Student ProgramDeveloper Streaks
AuthenticationProjectsDeploymentsDomainsDatabasesError Codes & Conventions
Changelog
Deployment GuideEnvironment Variables & SecretsTeam ManagementWeb ShellHow Builds Work (Forge)
JavaScript SDKPython SDK
API Reference (Redoc)

Authentication

The Launchverse API uses bearer tokens for authentication.

API Tokens

Mint an API token from Dashboard → API Tokens. Tokens are prefixed lvse_ and are shown once at creation time.

Authorization: Bearer lvse_<token>

Token Scopes

Three scopes are available:

    1. read — Read access to projects, deployments, domains, and resources.
    2. write — Read + write access. Implies read.
    3. deploy — Read + deploy access. Implies read.

Authentication Errors

Failed authentication returns 401 with:

{ "error": "...", "code": "UNAUTHORIZED" }

A missing scope returns 403 with code: "FORBIDDEN".

Public Endpoint

GET /api/v1/status is public and needs no token.
Edit this page on GitHub↗